/*
 * Copyright (c) 2004 Chirok Han
 *
 * This file is part of fig2pstricks.
 *
 * Fig2pstricks is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Fig2pstricks is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with fig2pstricks; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * Contact: beanerjo@yahoo.com
 */

#include "fig2pstricks.h"

void read_arrow(ARROW *arrow, STREAM *stream)
{
    arrow->type = tscani(stream);
    arrow->style = tscani(stream);
    arrow->thickness = tscand(stream);
    arrow->width = tscand(stream);
    arrow->height = tscand(stream);
}

void proc_arrows(FILE *fout, int nforward, int nbackward, STREAM *sp, int prt)
{
    int i;
    if (nforward) tskipw(sp, 5);
    if (nbackward) tskipw(sp, 5);
    if ((nforward||nbackward) && prt) {
	fputc('{', fout);
	if (nbackward) fputc('<', fout);
	fputc('-', fout);
	if (nforward) fputc('>', fout);
	fputc('}', fout);
    }
}
