/*
 * Copyright (c) 2004 Chirok Han
 *
 * This file is part of fig2pstricks.
 *
 * Fig2pstricks is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Fig2pstricks is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with fig2pstricks; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * Contact: beanerjo@yahoo.com
 */

#include "fig2pstricks.h"

char *trims(char *s)
{
    char *p;
    int n;

    n = strlen(s);
    if (n) {
	p = s+n-1;
	while (p>=s && isspace(*p)) p--;
	*(p+1) = '\0';
    }

    if (strlen(s)) {
	p = s;
	while (*p && isspace(*p)) p++;
	n = strlen(p);
	if (n) {
	    if (p>s) memmove(s, p, n+1);
	} else {
	    *s = '\0';
	}
    }
    return s;
}
